Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Interface DbErrorHandler

public interface DbErrorHandler

An interface specifying a application-specific error reporting function.

Method Summary
`void` | `error(String errpfx, String msg)` In some cases, when an error occurs, Berkeley DB will call the DbErrorHandler interface with additional error information.

Method Detail

### error

    public void error(String errpfx,
                      String msg)

  In some cases, when an error occurs, Berkeley DB will call the DbErrorHandler interface with additional error information. It is up to this interface to display the error message in an appropriate manner.

  Parameters:
    `errpfx` - the prefix string (as previously set by `Db.setErrorPrefix` or `DbEnv.setErrorPrefix`).
    `msg` - the error message string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.